diff update-vim-syntax @ 508:bbcffc594d1e

Vendor what should be vendored and add some more.
author edogawaconan <me@myconan.net>
date Mon, 17 Mar 2014 15:47:15 +0900
parents
children f5b6dba3308b
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/update-vim-syntax	Mon Mar 17 15:47:15 2014 +0900
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+if [ ! command -v wget > /dev/null 2>&1 ]; then
+  echo wget is required
+  exit 1
+fi
+
+_get() {
+  wget --no-check-certificate -nv "$1"
+}
+
+cd "$(dirname "$0")/vendor/vim-syntax"
+
+rm -f *.vim
+_get https://vim.googlecode.com/hg/runtime/syntax/ruby.vim
+_get https://vim.googlecode.com/hg/runtime/syntax/eruby.vim
+_get https://vim.googlecode.com/hg/runtime/syntax/scss.vim
+_get https://github.com/kchmck/vim-coffee-script/raw/master/syntax/coffee.vim
+_get https://github.com/slim-template/vim-slim/raw/master/syntax/slim.vim
+_get https://github.com/elzr/vim-json/raw/master/syntax/json.vim